
Foreman - Bug #2697

Daily Summary is broken

06/23/2013 07:58 AM - Ryan Davies

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Reporting   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

rdavies@uss-enterprise:/usr/share/foreman$ sudo -u foreman RAILS_ENV=production /usr/bin/ruby193-rake reports:summarize

rake aborted!

undefined method `deliver_summary' for HostMailer:Class

Tasks: TOP => reports:summarize

(See full trace by running task with --trace)

Associated revisions

Revision 7ff08812 - 06/23/2013 05:00 PM - Joseph Magen

fixes #2697 - HostMailer summary is broken

(cherry picked from commit 8e851ef524a3348c1587e53e3c2da616fdbe1fdc)

Revision 0a932172 - 06/24/2013 04:20 AM - Joseph Magen

fixes #2697 again - HostMailer typo and .deliver

Revision 0b91a274 - 06/28/2013 11:50 AM - Joseph Magen

fixes #2697 again - HostMailer typo and .deliver

(cherry picked from commit 0a93217273d8b41f4d1d91e29c2be9c4547c90d3)

Revision ea09f443 - 06/28/2013 11:50 AM - Joseph Magen

fixes #2697 - HostMailer summary is broken

(cherry picked from commit 8e851ef524a3348c1587e53e3c2da616fdbe1fdc)

(cherry picked from commit 7ff08812e42c2688a995caca60ad236e67a2814e)

History

#1 - 06/23/2013 08:00 AM - Ryan Davies

Again with trace option

rdavies@uss-enterprise:/usr/share/foreman$ sudo -u foreman RAILS_ENV=production /usr/bin/ruby193-rake reports:summarize --trace

Invoke reports:summarize (first_time)

Invoke environment (first_time)

Execute environment

Execute reports:summarize

rake aborted!

undefined method `deliver_summary' for HostMailer:Class

/opt/rh/ruby193/root/usr/share/gems/gems/actionmailer-3.2.8/lib/action_mailer/base.rb:438:in `method_missing'

/usr/share/foreman/lib/tasks/reports.rake:80:in `block (2 levels) in <top (required)>'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:205:in `call'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:205:in `block in execute'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:200:in `each'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:200:in `execute'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:158:in `block in invoke_with_call_chain'

/opt/rh/ruby193/root/usr/share/ruby/monitor.rb:211:in `mon_synchronize'

/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:151:in `invoke_with_call_chain'
/opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:144:in `invoke'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:116:in `invoke_task'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:94:in `block (2 levels) in top_level'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:94:in `each'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:94:in `block in top_level'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:133:in `standard_exception_handling'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:88:in `top_level'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:66:in `block in run'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:133:in `standard_exception_handling'

/opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:63:in `run'

/opt/rh/ruby193/root/usr/bin/rake:32:in `<main>'

Tasks: TOP => reports:summarize

#2 - 06/23/2013 08:26 AM - Joseph Magen

I don't see the method deliver_summary in the HostMailer class???

#3 - 06/23/2013 08:47 AM - Dominic Cleal

Joseph Magen wrote:

I don't see the method deliver_summary in the HostMailer class???

 I think this might be a 3.0->3.2 change, was it handled by method_missing in ActionMailer::Base before?  Looks like it should be

HostMailer.summary(options).deliver perhaps now.

#4 - 06/23/2013 09:03 AM - Joseph Magen

- Status changed from New to Assigned

- Assignee set to Joseph Magen

#5 - 06/23/2013 09:07 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

good call Dominic. I should have seen thought :-)

https://github.com/theforeman/foreman/pull/737

#6 - 06/23/2013 05:17 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7ff08812e42c2688a995caca60ad236e67a2814e.
